html {
    overflow: hidden;
}

body {
    font-family: Verdana, Courier, sans-serif;
    height: 100vh;
    overflow-x: hidden;
    overflow-y: auto;
    perspective: 50px;
}

a {
    text-decoration: none;
    color: black;
}

ul {
    list-style: none;
}

.title {
    font-size: 24px;
    text-transform: uppercase;
    font-weight: bold;
}

/*------header-top--------*/
.header-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #1d2124;
}

.header-top-logo-block {
    display: flex;
    align-items: center;
    margin-left: 22px;
}

.header-top-logo-text {
    color: white;
    font-size: 18px;
    margin-left: 20px;
}

.header-top-menu-list {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.header-top-menu-item {
    margin-right: 35px;
    text-transform: uppercase;
}

.header-top-menu-item a {
    color: white;
    font-size: 14px;
}

.header-top-search {
    align-self: center;
    padding: 25px;
    background: black;
}

/*------ first part of page-------*/

.top-block-title {
    padding-top: 127px;
    margin-bottom: 45px;
    color: white;
    font-size: 24px;
    font-weight: 500;
    text-align: center;
    text-transform: uppercase;
}

.top-block-btns {
    display: flex;
    justify-content: center;
    margin: 0 auto;
}

.top-block-btn {
    width: 170px;
    height: 55px;
    margin-bottom: 145px;
    color: white;
    font-size: 18px;
    border-radius: 5px;
    cursor: pointer;
    border: none;
    outline: none;
}

.btn-subscribe {
    margin-right: 20px;
    background-color: #89ca62;
}

.btn-articles {
    background-color: #14b9d5;
}

/*--------posts block----------*/

.posts {
    padding: 50px;
    background: #f2f2f2;
}

.posts-title.title {
    margin-bottom: 50px;
    color: #18b4cf;
    text-align: center;
}

.posts-container {
    width: 1150px;
    height: 870px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
}

.posts-figcap {
    padding: 10px;
    color: rgba(53, 58, 61, 255);
    text-align: center;
    font-size: 17px;
    font-weight: bold;
    background-color: white;
}

.posts-item {
    margin: 30px;
}

/*--------clients block--------*/

.clients {
    margin-bottom: 65px;
    padding: 200px 0;
}

.clients-title {
    position: relative;
    margin-bottom: 100px;
    color: white;
    text-align: center;
    font-size: 24px;
}

.clients-title::after {
    content: '';
    position: absolute;
    top: 80px;
    left: calc(50% - 60px);
    height: 3px;
    width: 60px;
    background-color: #14b9d5;
}

.clients-list {
    height: 100px;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.clients-list-logo {
    margin-right: 75px;
}

/*--------top-rated---------*/

.top-rated-title {
    margin-bottom: 50px;
    color: rgba(24, 180, 207, 255);
    text-align: center;
}

.top-rated-list {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
}

/*-----------hot news----------*/
.news-title {
    margin: 50px 0;
    color: #18b4cf;
    text-align: center;
}

.news-container {
    display: grid;
    grid-gap: 40px;
    justify-content: center;
    width: 1030px;
    margin: 0 auto 70px auto;
    grid-template-areas: "item1  item1 item1 item2" "item3 item3 item4 item4" "item5 item5 item6 item6" "item7 item8 item8 item8";
}

.news-item1 {
    width: 856px;
    grid-area: item1;
    display: flex;
}

.news-item2 {
    grid-area: item2;
}

.news-item3 {
    width: 554px;
    grid-area: item3;
}

.news-item4 {
    width: 554px;
    grid-area: item4;
}

.news-item5 {
    width: 554px;
    grid-area: item5;
}

.news-item6 {
    width: 554px;
    grid-area: item6;
}

.news-item7 {
    grid-area: item7;
}

.news-item8 {
    width: 856px;
    grid-area: item8;
}

.news-item1, .news-item8 {
    display: flex;
}

.news-description {

    background-color: #f9f7f7;
}

.news-description-title {
    padding: 20px;
    font-size: 18px;
    font-weight: bold;
}

.news-description-paragraph {
    padding: 0 20px 20px 20px;
    font-size: 14px;
}

.news-item2 .news-description, .news-item7 .news-description {
    width: 277px;
}

.news-item8 .news-description {
    width: 360px;
}

/*------footer-------*/
.footer {
    display: flex;
    justify-content: center;
    padding: 33px 60px;
    background-color: #1d2124;
}

.footer-text, .footer-link {
    color: white;
    font-size: 14px;
}

.footer-text {
    margin-right: 400px;
}

.footer-logo {
    height: 18px;
    display: flex;
    align-items: flex-start;
}

.footer-logo-img {
    height: 24px;
    margin-right: 5px;
}

/*-----parallax------*/

.parallax-section {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.parallax-section::before {
    content: '';
    position: absolute;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    z-index: -1;
    transform: translateZ(-150px) scale(4);
    background: 50% 90% no-repeat;
}

.parallax-section_1::before {
    background-image: url(../img/header-bg.jpeg);
}

.parallax-section_2::before {
    background-image: url(../img/parallax-bg.jpeg);

}